<template>
    <div id="searchbar">
        <form @submit.prevent="submit" class="form">
            <select class="select form-element" v-model="form.country">
                <option value="" disabled selected>Select Country</option>
                <option :value="country.alpha2Code" v-for="(country,index) in countries" :key="index">{{country.name}}</option>
            </select>

            <select class="select form-element" v-model="form.category">
                <option value="" disabled selected>Select Category</option>
                <option :value="category" v-for="(category,index) in categories" :key="index">{{category}}</option>
            </select>

            <input type="text" class="input form-element" v-model="form.query" placeholder="Keywords">

            <input type="submit" class="search-btn btn">
        </form>
    </div>
</template>

<script>

export default {
    props: {
        countries: {
            type:Array
        },
        categories:{
            type:Array
        }
    },
    data() {
        return {
            form: {
                country: 'US',
                category: 'General',
                query:'',
            }
        }
    },
    methods: {
        submit() {
            this.$emit('searchNews', this.form)
            console.log('search news', this.form)
        }
    }
}
</script>

<style scoped>

#searchbar {
  padding: 20px 0;
  width: 100%;
  background: #a8a8a8;
}

.form {
    display: flex;
    justify-content: center;
    font-size: 15px;
    color: #888;
}

.form-element {
    outline: none;
    border: none;
    border-radius: 8px;
    padding: 12px 16px;
    background-color: #f3f3f3;
    margin-right: 5px;
}

@media(min-width: 340px),(min-width: 400px){
 .form {
     display: block;
     padding: 0 15px;
 }

 .form-element {
     width: 100%;
     margin-bottom: 8px;
}

.search-btn{
    width: 100%;
    display: block;
}

}

@media(min-width: 768px){
 .form {
     display: flex;
     justify-content: center;
 }

 .form-element{
     width: auto;
 }

 .search-btn{
    display: inline-block;
    width: auto;
    font-size: 15px;
    height: 42px;
 }
}

</style>